Page MenuHomePhabricator

Surface Code/File search better in Diffusion
Closed, ResolvedPublic3 Quest Points

Description

I'm considering moving our repository hosting from GitLab tp Phabricator. One feature that GitLab has which would be valuable in Phabricator would be to ability to search through code. This would likely work well with the "symbol indexes", although they are a bit hacky at the moment (on our install I generate symbol indexes on a cron).

Event Timeline

joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence updated the task description. (Show Details)
joshuaspence added a subscriber: joshuaspence.
chad added a subscriber: chad.Mar 30 2015, 8:53 PM

We should probably surface this better?

Oh wow, I've never seen that before.

chad added a comment.Mar 30 2015, 8:55 PM

It is terribly hidden.

On an unrelated note... Is there a reason why {Fxxx} doesn't show the image content in emails?

chad added a comment.Mar 30 2015, 8:57 PM

We don't know if you'd be able to see them (vpn, policies). There is a task somewhere.

chad renamed this task from Code search to Surface Code/File search better in Diffusion.Mar 30 2015, 8:58 PM
chad edited projects, added Design; removed ApplicationSearch.

Yeah, I vaguely remember there being a task.

avivey added a project: Restricted Project.Dec 25 2015, 7:49 PM
avivey moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Dec 27 2015, 3:13 AM
avivey moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 12 2016, 9:55 PM
chad set the point value for this task to 1.Aug 12 2016, 4:13 PM
chad changed the point value for this task from 1 to 2.
chad changed the point value for this task from 2 to 3.
chad moved this task from Backlog to UI Refresh on the Diffusion board.Jun 7 2017, 3:01 AM
chad closed this task as Resolved.Aug 28 2017, 5:46 PM
chad claimed this task.

New search shipping with last week's stable release.